<?
/* Absolut Engine by dusoft (c) 2001
English version
*/

// Path to documents from root, empty if root; IMPORTANT: finish by slash "/"
$path="absolut/";
// path to images used in articles; IMPORTANT: finish by slash "/"
$pathimages="images/articles/";

// Basic texts:
$textbasic[0]="Username:";
$textbasic[1]="Password:";
$textbasic[2]="Password confirmation:";
$textbasic[3]="Forename and surname:";
$textbasic[4]="Position:";
$textbasic[5]="Administrator";
$textbasic[6]="Editor-in-chief";
$textbasic[7]="Editor";
$textbasic[8]="Sender:";
$textbasic[9]="Subject:";
$textbasic[10]="Date and time:";
$textbasic[11]="Check for next message";
$textbasic[12]="Recipient:";
$textbasic[13]="Choose recipient";
$textbasic[14]="Message text:";
$textbasic[15]="Choose position";
$textbasic[16]="Latest articles:";
$textbasic[17]="Latest surveys:";
$textbasic[18]="To the homepage...";
$textbasic[19]="Read messages";
$textbasic[20]="Discussion";
$textbasic[21]="Add comment to the article...";
$textbasic[22]="wrote on";
$textbasic[23]="at";
$textbasic[24]="Choose section";
$textbasic[25]="Language:"; // not implemented yet - could change language of the system while running

// Main menu:
$textadmin[0]="Logged in as: ";
$textadmin[1]="Online is: ";
$textadmin[2]="nobody at this time.";
$textadmin[3]="Welcome aboard, ";
$textadmin[4]="Your position is: ";
$textadmin[5]="Delete article";
$textadmin[6]="Edit article";
$textadmin[7]="Delete survey";
$textadmin[8]="Edit survey";
$textadmin[9]="display all articles";
$textadmin[10]="display all surveys";

// Javascript confirm messages - displayed after clicking on the links:
$textconfirm[0]="Are you sure you want to delete article? This action cannot be undone!";
$textconfirm[1]="Are you sure you want to delete survey? This action cannot be undone!";
$textconfirm[2]="Don't forget to close your browser after finishing you work!";
$textconfirm[3]="Are you sure you want to delete user? This action cannot be undone!";
$textconfirm[4]="Are you sure you want to stop survey? RECOMMENDATION: at least 30 people should vote.";
$textconfirm[5]="Are you sure you want to delete image";

/* Javascript alert messages - displayed after some operation is finished or problem occurred: */
$textalert[0]="You have not chosen any image.";
$textalert[1]="Only GIF or JPEG images can be added.";
$textalert[2]="Image";
$textalert[3]="was added.";
$textalert[4]="You are trying to upload image that doesn't exist.";
$textalert[5]="was deleted.";

// Menu links (logout, admin, chief, editor) - displayed in main menu:
$textmenu[0]="Log out (to finish work)";
$textmenu[1]="Administrator menu";
$textmenu[2]="Add user"; // for admin
$textmenu[3]="Edit user's data: "; // for admin
$textmenu[4]="Delete user: "; // for admin
$textmenu[5]="Edit system settings"; // not used yet
$textmenu[6]="Editor-in-chief menu";
$textmenu[7]="Add survey"; // for editor-in-chief
$textmenu[8]="Stop polling in the current survey"; // for editor-in-chief
$textmenu[9]="Editor menu";
$textmenu[10]="Add article"; // for editor
$textmenu[11]="Propose survey"; // for editor
$textmenu[12]="Send message"; // for editor
$textmenu[13]="Edit personal data"; // for editor
$textmenu[14]="Edit text of current message"; // for editor-in-chief
$textmenu[15]="Image manager"; // for editor
$textmenu[16]="Back to main menu..."; // used in Image manager
$textmenu[17]="Section manager"; // used in Image manager

// Image manager descriptions - displayed when uploading/deleting images:
$textimage[0]="List of images:";
$textimage[1]="Selected image:";
$textimage[2]="Image name:";
$textimage[3]="Image size:";
$textimage[4]="Adding new image";

// Section manager descriptions - displayed when editing sections:
$textsection[0]="List of sections:";
$textsection[1]="Add new section";
$textsection[2]="Section name:";

// Survey descriptions - displayed when creating/editing survey:
$textpoll[0]="Survey (describe question and answers):";
$textpoll[1]="Question: ";
$textpoll[2]="Status of survey: ";
$textpoll[3]="current";
$textpoll[4]="archive";
$textpoll[5]="Number of questions: ";
$textpoll[6]="Answer no.1: ";
$textpoll[7]="Answer no.2: ";
$textpoll[8]="Answer no.3: ";
$textpoll[9]="Answer no.4: ";
$textpoll[10]="Answer no.5: ";
$textpoll[11]="Number of votes for answer no.1: ";
$textpoll[12]="Number of votes for answer no.2: ";
$textpoll[13]="Number of votes for answer no.3: ";
$textpoll[14]="Number of votes for answer no.4: ";
$textpoll[15]="Number of votes for answer no.5: ";
$textpoll[16]="If you don't choose number of possible answers, default survey will be taken with 'Yes' & 'No' answers.";
$textpoll[17]="Choose number";
$textpoll[18]="No survey is running.";
$textpoll[19]="Current number of votes is";
$textpoll[20]="altogether.";
$textpoll[21]="Current";
$textpoll[22]="Archive";
$textpoll[23]="Yes";
$textpoll[24]="No";

// Button descriptions - displayed on form buttons:
$textbutton[0]="Submit";
$textbutton[1]="Reset";
$textbutton[2]="Update";
$textbutton[3]="Edit";
$textbutton[4]="Login";
$textbutton[5]="Propose";
$textbutton[6]="Send";
$textbutton[7]="Delete image";
$textbutton[8]="Browse...";
$textbutton[9]="Delete section";

// Article descriptions - displayed when creating/editing article:
$textarticle[0]="Title of the article:";
$textarticle[5]="Beginning of the article:";
$textarticle[1]="Text of the article:";
$textarticle[2]="Author:";
$textarticle[3]="Date:";
$textarticle[4]="Section:";
$textarticle[6]="Images:";
$textarticle[7]="Current text:";

// Warning descriptions - displayed when something is wrong:
$textwarning[0]="You've tried to add new survey, but one survey is still running. There can be only one survey running at the time!<br>\nAt first, you should stop the current survey, which will be archived automatically.<br>\nThen you can add yesther survey. <a href=\"admin.php\">Continue here...</a>";
$textwarning[1]="Username or password are wrong!<br>\nTry it <a href=\"index.php\">again</a><br>\nIf the problem persists, contact admin.!";
$textwarning[2]="Database is connected: couldn't read or write data to/from it. Press BACK button!<br>If this situation emerges continually, contact admin at: <a href=\"mailto:dusoft@staznosti.sk\">dusoft@staznosti.sk</a> and describe, what did you try to do, when problem emerged.";
$textwarning[3]="Couldn't connect!!!";
$textwarning[4]="User $user already exists! You have to choose yesther username for new user. Press BACK button in your browser...";
$textwarning[5]="Password field cannot be blank. Press BACK button in your browser...";
$textwarning[6]="Password and password confirmation fields are different. Press BACK button in your browser...";
$textwarning[7]="You haven't chosen user's position! Press BACK button in your browser...";
$textwarning[8]="You don't have any other messages... <a href=\"admin.php\">Continue here</a>.";
$textwarning[9]="You have to fill survey question. Press BACK button in your browser...";
$textwarning[10]="There is no current survey. All surveys are in archive already. Press BACK button in your browser...";
$textwarning[11]="One survey is running already. If you want to transform archive survey to current one, you have to stop current survey and then change former survey to current one.<br>\nPress BACK button in your browser...";
$textwarning[12]="Access was denied. This section could be accessed only by administrator! If you have admin's access, log in <a href=\"index.php\">here</a>.";
$textwarning[13]="Access was denied. This section could be accessed only by editor-in-chief. If you have the editor-in-chief's access, log in <a href=\"index.php\">here</a>.";
$textwarning[14]="You have to choose recipient from the list! Press BACK button in your browser...";
$textwarning[15]="Access was denied. If you have valid username and password, you can log in <a href=\"index.php\">here</a>.";
$textwarning[16]="There is no article under this number.";
$textwarning[17]="You have to choose section! Press BACK button in your browser...";

// help messages:
$texthelp[0]="<u>Formatting may be achieved this way:</u><br>&lt;b&gt;bold font&lt;/b&gt;<br>&lt;i&gt;italic&lt;/i&gt;<br><u>Link to other page/site:</u><br>&lt;a href=\" www.domain.com/article.htm\"&gt;<br>link text&lt;/a&gt;";

$i=0;
while ($textwarning[$i]<>"")
	{
	$textwarning[$i]="<html><head><title>Warning!</title>
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1250\">
	<style type=\"text/css\">
	<!--
	a:hover {  text-decoration: none; color: #006699}
	a:visited {  text-decoration: none}
	a:link {  text-decoration: none}
	a:active {  text-decoration: none}
	-->
	</style>
	</head><body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#0000AA\" vlink=\"#000055\" alink=\"#66CCFF\"><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">
  <tr bgcolor=\"#8DCFF4\"> 
    <td><font face=\"Arial, Helvetica, sans-serif\" size=\"3\"><b>Absolut Engine </b></font><font size=\"2\" face=\"Arial, Helvetica, sans-serif\">developed 
      by <b><a href=\"mailto:dusoft@staznosti.sk\">dusoft</a></b></font><font size=\"2\" face=\"Arial, Helvetica, sans-serif\"> <b></b> 
      2001</font></td>
	</tr>
	</tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
	<tr> 
    <td><font size=\"2\" face=\"Arial, Helvetica, sans-serif\">".$textwarning[$i]."</font></td>
  	</tr>
	</table>
	</body>
	</html>";
	++$i;
	}
?>
